<?php
	session_start();

	include('conexion.php');
	include 'mysql_Agregar_auditoria.php';
	require('./fpdf/fpdf.php');

	$cliente = $_SESSION['id_cliente'];
	$id_vehiculo = $_GET['id_vehiculo'];
	$fecha_inicio = $_GET['fecha_inicio'];
	$fecha_fin = $_GET['fecha_fin'];
	$fini = date_create($fecha_inicio);
	$finiMuestra =  date_format($fini, 'Ymd');	
	$ffin = date_create($fecha_fin);
	$ffinMuestra =  date_format($ffin, 'Ymd');	
	$total_general = 0;
	
	$sql = "SELECT ";
	$sql .= "id_cliente, ";
	$sql .= "razon_social, ";
	$sql .= "nombre_comercial, ";
	$sql .= "saldo ";
	$sql .= "FROM ";
	$sql .= "clientes ";
	$sql .= "WHERE ";
	$sql .= "id_cliente = " . $cliente;
	
	$resultado = $conexion->query($sql); 
								
	if (!$resultado) 
	{
		die("Error: no se pudo realizar la consulta cliente");
	}
		
	while ($fila = $resultado->fetch_assoc()) 
	{
		$_SESSION['id_cliente'] = $fila['id_cliente'];
		$_SESSION['razon_cliente'] = $fila['razon_social'];
		$_SESSION['nombre_cliente'] = $fila['nombre_comercial'];
		$_SESSION['saldo_muestra'] = $fila['saldo'];
	}

	$resultado->free();

	number_format($_SESSION['saldo_muestra'], 2, '.', ',');
	$_SESSION['fech1'] = $fecha_inicio;	
	$_SESSION['fech2'] = $fecha_fin;
	
	class PDF extends FPDF
	{
		function Header()
		{
			$this->SetFont('Arial','B',14);
			$this->Cell(130,10,'Reporte Control Vehiculos');
			$this->SetFont('Arial','',10);
			date_default_timezone_set('America/Mazatlan');
			$time = time();	
			$this->Cell(50,10,'Fecha: ' . date("Y/m/d  H:i:s", $time) );
			$this->Ln();
			$this->SetFont('Arial','',10);			
			$this->Cell(25,5,"Cliente");
			$this->Cell(50,5,$_SESSION["id_cliente"]);
			$this->Ln();		
			$this->Cell(25,5,"Razon Social");
			$this->Cell(50,5,$_SESSION['razon_cliente']);
			$this->Ln();		
			$this->Cell(25,5,"Saldo");
			$this->Cell(50,5,$_SESSION['saldo_muestra']);
			$this->Ln();
			$this->Cell(25,5,"Fecha Inicio");
			$this->Cell(50,5,$_SESSION['fech1']);
			$this->Ln();		
			$this->Cell(25,5,"Fecha Fin");
			$this->Cell(50,5,$_SESSION['fech2']);
			$this->Ln();			
			$this->SetFont('Arial','B',14);			
		}
	}

	$pdf = new PDF();
	$pdf->AliasNbPages();
	$pdf->SetTitle('Reporte control vehiculos');
	$pdf->AddPage();
	
	$sql = "SELECT ";
	$sql .= "t.id_transaccion, ";
	$sql .= "v.placa, ";
	$sql .= "v.numero_economico, ";
	$sql .= "v.id_tag, ";
	$sql .= "t.fecha, ";
	$sql .= "v.conductor, ";
	$sql .= "p.nombre, ";
	$sql .= "td.volumen, ";
	$sql .= "td.precio, ";
	$sql .= "td.monto, ";
	$sql .= "t.id_vehiculo, ";				
	$sql .= "ve.id_venta, ";		
	$sql .= "ve.fecha_venta ";	
	$sql .= "FROM ";
	$sql .= "productos p, ";
	$sql .= "transacciones t ";
	$sql .= "left join transacciones_detalle td ";
	$sql .= "on (t.id_transaccion = td.id_transaccion) ";
	$sql .= "left join gaslight.ventas ve ";
	$sql .= "on (td.id_venta = ve.id_venta) ";
	$sql .= "left join vehiculos v ";
	$sql .= "on (t.id_vehiculo = v.id_vehiculo) ";
	$sql .= "where ";		
	$sql .= "p.id_producto = td.id_producto ";		
	$sql .= "and t.id_tipo = 1 ";
	$sql .= "and t.estatus = 1 ";
	$sql .= "and t.id_cliente = " . $_SESSION['id_cliente'] . " " ;
	$sql .=" and t.id_turno >= '" . $finiMuestra . "00" . "' and t.id_turno <= '" . $ffinMuestra . "06" . "' ";

	if ($id_vehiculo != 0)
	{
		$sql .= "and t.id_vehiculo = " . $id_vehiculo . " " ;
	}
		
	$sql .= "order by id_vehiculo, fecha ";
	
	$resultado1 = $conexion->query($sql); 			

	if (!$resultado1) 
	{
		die("Error: no se pudo realizar la consulta transacciones");
	}
				
	$numero_filas = $resultado1 -> num_rows;
	$pdf->SetFont('Arial','U',12);			
	$vehiculo_litros = 0;
	$vehiculo_monto = 0;			
	$inicio = 0;

	if ($numero_filas > 0)
	{			
		while ($fila = $resultado1->fetch_assoc()) 
		{			
			$marca = $fila['placa'];
			$modelo = $fila['numero_economico'];
			$id_tag = $fila['id_tag'];				
			$fecha_contable = $fila['fecha'];		
			$date = date_create($fecha_contable);
			$fechaMuestra =  date_format($date, 'Y-m-d');
			$vehiculo_n = $fila['id_vehiculo'];
			$volumen = $fila['volumen'];			
			$monto = $fila['monto'];

			if ($inicio == 0)
			{
				$pdf->SetFont('Arial','B', 9);
				$pdf->Cell(30, 3, 'Placa: ' . $marca, 0, 0, 'L');			
				$pdf->ln();		
				$pdf->Cell(30, 3, 'No. Economico: ' . $modelo, 0, 0, 'L');
				$pdf->ln();		
				$pdf->Cell(100, 3, 'TAG: ' . $id_tag, 0, 0, 'L');				
				$pdf->ln();	
				$pdf->ln();	
				$pdf->SetFont('Arial', 'U', 9);
				$pdf->Cell(15, 5, 'Id Tran.', 0, 0, 'L');			
				$pdf->Cell(15, 5, 'Fecha', 0, 0, 'L');			
				$pdf->Cell(15, 5, 'Venta', 0, 0, 'R');			
				$pdf->Cell(30, 5, 'F. Venta', 0, 0, 'L');	
				$pdf->Cell(40, 5, 'Conductor', 0, 0, 'L');
				$pdf->Cell(20, 5, 'Producto', 0, 0, 'L');
				$pdf->Cell(20, 5, 'Volumen', 0, 0, 'R');
				$pdf->Cell(20, 5, 'Precio', 0, 0, 'R');
				$pdf->Cell(20, 5, 'Monto', 0, 0, 'R');
				$pdf->ln();		

				$vehiculo = $vehiculo_n;
				$inicio = 1;				
			}	

			if ($vehiculo_n != $vehiculo)
			{				
				$vehiculo_litrosMuestra = number_format($vehiculo_litros, 3, '.', ',');
				$vehiculo_montoMuestra = number_format($vehiculo_monto, 2, '.', ',');

				$pdf->ln();	
				$pdf->SetX(92);
				$pdf->SetFont('Arial', 'B', 9);
				$pdf->Cell(53, 5, 'Total Vehiculo', 0, 0, 'L');			
				$pdf->Cell(20, 5, $vehiculo_litrosMuestra, 0, 0, 'R');
				$pdf->Cell(40, 5, $vehiculo_montoMuestra, 0, 0, 'R');					
				$pdf->ln();			
				$pdf->ln();		
				$pdf->SetFont('Arial', 'B', 9);
				$pdf->Cell(30, 3, 'Placa: ' . $marca, 0, 0, 'L');			
				$pdf->ln();		
				$pdf->Cell(30, 3, 'No. Economico: ' . $modelo, 0, 0, 'L');
				$pdf->ln();		
				$pdf->Cell(100, 3, 'TAG: ' . $id_tag, 0, 0, 'L');				
				$pdf->ln();		
				$pdf->SetFont('Arial', 'U', 9);
				$pdf->Cell(15, 5, 'Id Tran.', 0, 0, 'L');			
				$pdf->Cell(15, 5, 'Fecha', 0, 0, 'L');			
				$pdf->Cell(15, 5, 'Venta', 0, 0, 'R');			
				$pdf->Cell(30, 5, 'F. Venta', 0, 0, 'L');	
				$pdf->Cell(40, 5, 'Conductor', 0, 0, 'L');
				$pdf->Cell(20, 5, 'Producto', 0, 0, 'L');
				$pdf->Cell(20, 5, 'Volumen', 0, 0, 'R');
				$pdf->Cell(20, 5, 'Precio', 0, 0, 'R');
				$pdf->Cell(20, 5, 'Monto', 0, 0, 'R');
				$pdf->ln();	

				$vehiculo = $vehiculo_n;
				$vehiculo_litros = 0;
				$vehiculo_monto = 0;				
			}			

			$vehiculo_litros = $vehiculo_litros + $volumen;
			$vehiculo_monto = $vehiculo_monto + $monto;

			$volumenMuestra = number_format($fila['volumen'], 3, '.', ',');
			$montoMuestra = number_format($fila['monto'], 2, '.', ',');
			
			$pdf->SetFont('Arial', '', 9);
			$pdf->Cell(15, 5, $fila['id_transaccion'], 0, 0, 'L');								
			$pdf->Cell(15, 5, $fechaMuestra, 0, 0, 'L');			
			$pdf->Cell(15, 5, $fila['id_venta'], 0, 0, 'R');																	
			$pdf->Cell(30, 5, $fila['fecha_venta'], 0, 0, 'L');	

			$length = 25;    
			$stringDisplay = substr(($fila['conductor']), 0, $length);

			if (strlen(($fila['conductor'])) > $length)
			{
				$stringDisplay .= ' ';
			}

			$pdf->Cell(40, 5, $stringDisplay, 0, 0, 'L', false);

			$length = 15;    
			$stringDisplay = substr(($fila['nombre']), 0, $length);

			if (strlen(($fila['nombre'])) > $length)
			{
				$stringDisplay .= ' ';
			}

			$pdf->Cell(20, 5, $stringDisplay, 0, 0, 'L');			
			$pdf->Cell(20, 5, $volumenMuestra, 0, 0, 'R');			
			$pdf->Cell(20, 5, $fila['precio'], 0, 0, 'R');			
			$pdf->Cell(20, 5, $montoMuestra, 0, 0, 'R');										
			$pdf->ln();			
		}

		$resultado1->free();
		
		$vehiculo_litrosMuestra = number_format($vehiculo_litros, 3, '.', ',');
		$vehiculo_montoMuestra = number_format($vehiculo_monto, 2, '.', ',');
		
		$pdf->ln();			
		$pdf->SetX(92);
		$pdf->SetFont('Arial', 'B', 9);
		$pdf->Cell(53, 5, 'Total Vehiculo', 0, 0, 'L');			
		$pdf->Cell(20, 5, $vehiculo_litrosMuestra, 0, 0, 'R');
		$pdf->Cell(40, 5, $vehiculo_montoMuestra, 0, 0, 'R');	
		$pdf->ln();			
		$pdf->ln();	
		
		$vehiculo_litros = 0;
		$vehiculo_monto = 0;		
		$vehiculo = $vehiculo_n;	
	}		

	$pdf->ln();
	$pdf->ln();
	
	$sql = "SELECT ";
	$sql .= "p.nombre, ";
	$sql .= "sum(td.volumen) as volumen, ";
	$sql .= "sum(td.monto) as monto ";
	$sql .= "FROM  ";
	$sql .= "productos p, ";
	$sql .= "transacciones t ";
	$sql .= "left join transacciones_detalle td ";
	$sql .= "on(t.id_transaccion = td.id_transaccion) ";
	$sql .= "left join vehiculos v ";
	$sql .= "on (t.id_vehiculo = v.id_vehiculo) ";
	$sql .= "where ";
	$sql .= "p.id_producto = td.id_producto ";
	$sql .= "and t.id_tipo = 1 ";
	$sql .= "and t.estatus = 1 ";
	$sql .= "and t.id_cliente = " . $_SESSION["id_cliente"] . " ";	
	$sql .=" and t.id_turno >= '" . $finiMuestra . "00" . "' and t.id_turno <= '" . $ffinMuestra . "06" . "' ";

	if ($id_vehiculo != 0)
	{
		$sql .= "and t.id_vehiculo = " . $id_vehiculo . " " ;
	}

	$sql .= "group by td.id_producto ";
	$sql .= "order by td.id_producto ";

	$resultado1 = $conexion->query($sql); 	

	if (!$resultado1) 
	{
		die("Error: no se pudo realizar la consulta estacion " . $sql);
	}
	
	$número_filas = $resultado1->num_rows;
	
	if ($número_filas > 0)
	{
		$pdf->SetFont('Arial', 'B', 10);
		$pdf->Cell(30, 8, 'RESUMEN POR PRODUCTO', 0, 0, 'L');		
		$pdf->ln();	
		$pdf->Cell(50, 5, 'Producto', 0, 0, 'L');		
		$pdf->Cell(30, 5, 'Volumen', 0, 0, 'R');		
		$pdf->Cell(30, 5, 'Monto', 0, 0, 'R');		
		$pdf->ln();	

		$tot_est = 0;
		$tot_v_est = 0;
		$tot_est_g = 0;
		$tot_v_est_g = 0;
		$inicio = 0;

		while ($fila = $resultado1->fetch_assoc()) 
		{					
			$volumen  = $fila['volumen'];
			$monto = $fila['monto'];						
				
			$tot_est_g = $tot_est_g + $tot_est;
			$tot_v_est_g = $tot_v_est_g + $tot_v_est;
			$tot_v_estMuestra = number_format($tot_v_est, 2, '.', ',');
			$tot_estMuestra = number_format($tot_est, 2, '.', ',');
				
			$tot_est = 0;
			$tot_v_est = 0;
			$est = $est_n;					
			$tot_est = $tot_est + $monto;
			$tot_v_est = $tot_v_est + $volumen;
			$volMuestra = number_format($fila['volumen'], 2, '.', ',');
			$monMuestra = number_format($fila['monto'], 2, '.', ',');		
			
			$pdf->SetFont('Arial','',10);				
			$pdf->Cell(50, 5, $fila['nombre'], 0, 0, 'L');
			$pdf->Cell(30, 5, $volMuestra, 0, 0, 'R');
			$pdf->Cell(30, 5, '$' . $monMuestra, 0, 0, 'R');
			$pdf->ln();			
		}

		$resultado1->free();
		
		$tot_est_g = $tot_est_g + $tot_est;
		$tot_v_est_g = $tot_v_est_g + $tot_v_est;
		$tot_v_est_gMuestra = number_format($tot_v_est_g, 2, '.', ',');
		$tot_est_gMuestra = number_format($tot_est_g, 2, '.', ',');
		$tot_v_estMuestra = number_format($tot_v_est, 2, '.', ',');
		$tot_estMuestra = number_format($tot_est, 2, '.', ',');
		
		$tot_est = 0;
		$tot_v_est = 0;
		$est = $est_n;	
		
		$pdf->SetFont('Arial', 'B', 10);					
		$pdf->SetX(30);
		$pdf->Cell(30, 10, 'Gran Total', 0, 0, 'L');		
		$pdf->Cell(30, 10, $tot_v_est_gMuestra, 0, 0, 'R');		
		$pdf->Cell(30, 10, '$' . $tot_est_gMuestra, 0, 0, 'R');		
		$pdf->ln();		
	}		
		

	$informacion = 'Genero Reporte Control Vehiculos formato PDF ';
	$datos = "Con filtros: ";
	if ($id_vehiculo != 0)
	{
		$datos=$datos." Vehiculo=".$id_vehiculo;
	}
	$datos=$datos." Del id_turno=". $finiMuestra . "00" . " al id_turno =" . $ffinMuestra . "06";	
	insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);

	mysqli_close($conexion);

	$pdf->Output();
?>